NL(1)

NOM
nl - Numéroter les lignes d'un fichier

SYNOPSIS
nl [OPTION]... [FICHIER]...

DESCRIPTION

Afficher chaque FICHIER sur la sortie standard en numérotant les lignes.

L'entrée standard est lue quand FICHIER est omis ou quand FICHIER vaut « - ».

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-b, --body-numbering=STYLE
    utiliser STYLE pour numéroter les lignes du corps

-d, --section-delimiter=CC
    utiliser CC pour séparer les pages logiques

-f, --footer-numbering=STYLE
    utiliser STYLE pour numéroter les lignes de bas de page

-h, --header-numbering=STYLE
    utiliser STYLE pour numéroter les lignes d'en-tête

-i, --line-increment=NOMBRE
    incrémenter le numéro de ligne de NOMBRE à chaque ligne

-l, --join-blank-lines=NOMBRE
    compter les groupes de NOMBRE lignes vides comme une seule ligne

-n, --number-format=FORMAT
    insérer les numéros de ligne selon FORMAT

-p, --no-renumber
    ne pas réinitialiser la numérotation des lignes au début de chaque section

-s, --number-separator=CHAÎNE
    ajouter CHAÎNE après (si possible) le numéro de ligne

-v, --starting-line-number=NUMÉRO
    NUMÉRO de la première ligne de chaque section

-w, --number-width=NOMBRE
    utiliser NOMBRE colonnes pour numéroter les lignes

--help
    afficher l'aide-mémoire et quitter

--version
    afficher le nom et la version du logiciel et quitter

les options par défaut sont : -bt -d'\:' -fn -hn -i1 -l1 -n'rn' -s<TAB> -v1 -w6

CC représente un délimiteur de deux caractères utilisé pour construire des délimiteurs de pages logiques ; s'il n'y a pas le second caractère, « : » sera affiché.

STYLE doit être choisi parmi :

a   numéroter toutes les lignes

t   numéroter seulement les lignes non vides

n   ne pas numéroter les lignes

pBRE
    numéroter seulement les lignes ayant une concordance avec l'expression rationnelle basique BRE (« basic regular expression »)

FORMAT doit être choisi parmi :

ln  justifier à gauche, sans zéro de préfixe

rn  justifier à droite, sans zéro de préfixe

rz  justifier à droite, avec des zéros de préfixe

AUTEUR
Écrit par Scott Bartram et David MacKenzie.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <https://www.gnu.org/software/coreutils/nl>
aussi disponible localement à l’aide de la commande : info '(coreutils) nl invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Simon Paillard <simon.paillard@resel.enst-bretagne.fr>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.